# Demo-mit-Menue.py

import wx

### ---------------------------------------------------
    ### ----- Panel fuer den Frame -----  aus Demo Button
class MeinPanel(wx.Panel):
    def __init__(self, parent):                 # weg: , log
        wx.Panel.__init__(self, parent, -1)
        
        ## Abschnitt aus wxButton ("Default" so sinnlos)
        beendenButton = wx.Button(self, 10, "Beenden", (20, 20)) # 10 ist die ID
        self.Bind(wx.EVT_BUTTON, self.OnBeenden, beendenButton)
        beendenButton.SetDefault()
        beendenButton.SetSize(beendenButton.GetBestSize())
        # neu: Der Frame muss geschlossenwerden, daher
        self.frame=parent

        ### ----- Ereignisbehandlung -----
    ### Button-Abschnitt
    def OnBeenden(self, event):
        self.frame.Close(True)

    def OnCloseWindow(self, event):
        self.frame.Destroy()

### ---------------------------------------------------
    ### ----- Frame fuer Gui -----  aus Demo Menu
class Gui(wx.Frame):

    def __init__(self, parent, id):       # weg: , log
        wx.Frame.__init__(self, parent, id, 'Gui', size=(500, 250))
        
        self.CreateStatusBar()
        self.SetStatusText("This is the statusbar")

        # Prepare the menu bar
        menuBar = wx.MenuBar()

        # erstes Menue
        dateiMenu = wx.Menu()
        dateiMenu.Append(101, "Oeffnen")
        dateiMenu.Append(102, "Speichern")
        dateiMenu.AppendSeparator()
        dateiMenu.Append(103, "Beenden")
        # Add menu to the menu bar
        menuBar.Append(dateiMenu, "Datei")

        # zweites Menue
        neuMenu = wx.Menu()
        neuMenu.Append(201, "Stuhl", "")
        neuMenu.Append(202, "Tisch", "")
        neuMenu.Append(203, "Schrank", "")
        ##neuMenu.AppendSeparator()
        # Add menu to the menu bar
        menuBar.Append(neuMenu, "&Moebel")
        
        self.SetMenuBar(menuBar)

        self.SetMenuBar(menuBar)
        
        ### Menu events
        self.Bind(wx.EVT_MENU, self.OnOeffnen, id=101)
        self.Bind(wx.EVT_MENU, self.OnSpeichern, id=102)
        self.Bind(wx.EVT_MENU, self.OnBeenden, id=103)

        self.Bind(wx.EVT_MENU, self.OnStuhl, id=201)
        self.Bind(wx.EVT_MENU, self.OnTisch, id=202)
        self.Bind(wx.EVT_MENU, self.OnSchrank, id=203)
        
        ## einfuegen
        self.panel=MeinPanel(self)


    ### Ereignisbehandlung ###
    ### Menu-Abschnitt
    def OnOeffnen(self, event):
        print('Oeffnen\n')

    def OnSpeichern(self, event):
        print('Speichern\n')

    def OnStuhl(self, event):
        print('Stuhl erzeugen\n')

    def OnTisch(self, event):
        print('Tisch erzeugen\n')

    def OnSchrank(self, event):
        print('Schrank erzeugen\n')


    ### Button-Abschnitt
    def OnBeenden(self, event):
        self.Close(True)

    def OnCloseWindow(self, event):
        self.Destroy()


    ### ----- App-Bereich -----
        ## Abschnitt aus Raumplaner-Anfang
### ---------------------------------------------------
class MyApp(wx.App):
    """Anwendung fuer ..."""
    def OnInit(self):
        self.gui = Gui(None, -1)
        self.SetTopWindow(self.gui)
        self.gui.Show(True)
        return True

### ---------------------------------------------------
if __name__ == '__main__':
    app = MyApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
        
