# Demo-mit-Menue.py

import wx

### ---------------------------------------------------
    ### ----- Panel fuer den Frame -----  aus Demo Button
class MeinPanel(wx.Panel):
    def __init__(self, parent):                 # weg: , log
        wx.Panel.__init__(self, parent, -1)
        
        ## Abschnitt aus wxButton ("Default" so sinnlos)
        b = wx.Button(self, 10, "Default Button", (20, 20)) # 10 ist die ID
        self.Bind(wx.EVT_BUTTON, self.OnClick, b)
        b.SetDefault()
        b.SetSize(b.GetBestSize())

        ### ----- Ereignisbehandlung -----
        ## Abschnitt aus wxButton
    def OnClick(self, event):
        #self.log.write...
        print("Click! (%d)\n" % event.GetId())

### ---------------------------------------------------
    ### ----- Frame fuer Gui -----  aus Demo Menu
class Gui(wx.Frame):

    def __init__(self, parent, id):       # weg: , log
        wx.Frame.__init__(self, parent, id, 'Gui', size=(500, 250))
        
        self.CreateStatusBar()
        self.SetStatusText("This is the statusbar")

        # Prepare the menu bar
        menuBar = wx.MenuBar()

        # 1st menu from left
        menu1 = wx.Menu()
        menu1.Append(101, "&Mercury", "This the text in the Statusbar")
        menu1.Append(102, "&Venus", "")
        menu1.Append(103, "&Earth", "You may select Earth too")
        menu1.AppendSeparator()
        menu1.Append(104, "&Close", "Close this frame")
        # Add menu to the menu bar
        menuBar.Append(menu1, "&Planets")
        ## weitere weggelassen

        self.SetMenuBar(menuBar)
        
        # Menu events
        self.Bind(wx.EVT_MENU, self.Menu101, id=101)
        self.Bind(wx.EVT_MENU, self.Menu102, id=102)
        self.Bind(wx.EVT_MENU, self.Menu103, id=103)
        self.Bind(wx.EVT_MENU, self.CloseWindow, id=104)
        ## weitere weggelassen
        
        ## einfuegen
        self.panel=MeinPanel(self)


    def Menu101(self, event):
        print('Welcome to Mercury\n') # Aenderung

    def Menu102(self, event):
        print('Welcome to Venus\n')

    def Menu103(self, event):
        print('Welcome to the Earth\n')

    def CloseWindow(self, event):
        self.Close()

        ## einfuegen
        self.panel=MeinPanel(self)

        ## raus self.log = log
        self.CenterOnScreen()

    def CloseWindow(self, event):
        self.Close()


    ### ----- App-Bereich -----
        ## Abschnitt aus Raumplaner-Anfang
### ---------------------------------------------------
class MyApp(wx.App):
    """Anwendung fuer ..."""
    def OnInit(self):
        self.gui = Gui(None, -1)
        self.SetTopWindow(self.gui)
        self.gui.Show(True)
        return True

### ---------------------------------------------------
if __name__ == '__main__':
    app = MyApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
        
